%global debug_package %{nil}

Name: osinfo-db
Version: 20230518
Summary: osinfo database files
Release: 1
License: LGPLv2+
URL: http://libosinfo.org/
Source0: https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz
Source1: https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz.asc
Source2: openeuler-22.03.xml
Source3: sel-2.0.xml

BuildRequires: intltool osinfo-db-tools
Requires: hwdata

%description
osinfo-db provides the database files for use with the libosinfo
library. It provides information about guest operating systems for
use with virtualization provisioning tools.

%prep
%setup -q

%build
cd %{_builddir}
mkdir -p %{_builddir}/osinfo-db-%{version}/os/openeuler.org/
mkdir -p %{_builddir}/osinfo-db-%{version}/os/suseeuler.net/
cp %{SOURCE2}  %{_builddir}/osinfo-db-%{version}/os/openeuler.org/
cp %{SOURCE3}  %{_builddir}/osinfo-db-%{version}/os/suseeuler.net/
tar -cJf x.tar.xz osinfo-db-%{version}

%install
osinfo-db-import  --root %{buildroot} --dir %{_datadir}/osinfo "%{_builddir}/x.tar.xz"

%files
%{_datadir}/osinfo/datamap
%{_datadir}/osinfo/device
%{_datadir}/osinfo/install-script
%{_datadir}/osinfo/os
%{_datadir}/osinfo/platform
%{_datadir}/osinfo/schema
%{_datadir}/osinfo/VERSION
%{_datadir}/osinfo/LICENSE

%changelog
* Mon Jul 17 2023 chenzixuan <chenzixuan@kylinos.cn> - 20230518-1
- update version to 20230518 

* Mon Jun 20 2022 Chenxi Mao <chenxi.mao@suse.com> - 20220214-3
- Fix openEuler incorrect string
- Support SUSE Euler product

* Tue May 31 2022 Chenxi Mao <chenxi.mao@suse.com> - 20220214-2
- Support openEuler

* Thu Mar 3 2022 panxiaohe <panxh.life@foxmail.com> - 20220214-1
- update version to 20220214

* Wed Mar 17 2021 panxiaohe <panxiaohe@huawei.com> - 20201218-2
- remove %prep for rpmbuild

* Sat Jan 23 2021 zoulin <zoulin13@huawei.com> - 20201218-1
- update version to 20201218

* Tue Sep 8 2020 linwei <linwei54@huawei.com> - 20180920-5
- modify the URL of Source

* Mon Aug 17 2020 shixuantong <shixuantong@huawei.com> - 20180920-4
- roll back to solve the libosinfo compilation failure problem 

* Sat Aug 08 2020 chenyaqiang <chenyaqiang@huawei.com> - 20180920-3
- add openEuler osinfo files

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 20180920-2
- Package init
